Summary: symbolic debugger for C and other languages
Name: gdb
Version: 4.16
Release: 9
Copyright: GPL
Group: Development/Debuggers
Source: prep.ai.mit.edu:/pub/gnu/gdb-4.16.tar.gz
Source1: ftp://prep.ai.mit.edu/pub/gnu/binutils-2.7.0.2.tar.gz
Patch: gdb-4.16sparc.patch.gz
Patch1: gdb-4.16axp.patch.gz
Patch2: gdb-4.16axp-2.diff.gz
Patch3: ftp://ftp.azstarnet.com/pub/linux/axp/glibc/gdb-4.16axp-3.diff.gz
Patch4: gdb4.16-axp-post-SRPM.diff.gz
Patch5: gdb-4.16-nommalloc.patch
BuildRoot: /var/tmp/gdbroot
Prereq: /sbin/install-info

%changelog

* Wed Oct 08 1997 Erik Troan <ewt@redhat.com>

- updated to use a buildroot
- uses install-info

* Tue Aug 19 1997 Erik Troan <ewt@redhat.com>

- turned off mmalloc() support, which seems to annoy glibc (resulting in
  a quick core dump inside of getcwd())

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%description
This is a full featured, command driven debugger. It allows you to
trace the exectuion of programs and examine their internal state
at any time. It works for C and C++ compiled with the GNU C compiler
gcc.

%prep 
%setup

%ifarch sparc
%patch -p1
%endif

%ifarch alpha
%setup -T -D -a 1
rm -rf bfd opcodes include
mv binutils-2.7.0.2/bfd binutils-2.7.0.2/include binutils-2.7.0.2/opcodes .
rm -rf binutils-2.7.0.2
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p2
%endif

%patch5 -p1 -b .nommalloc

%build

OS=`echo ${RPM_OS} | tr '[A-Z]' '[a-z]'`
./configure --prefix=/usr ${RPM_ARCH}-redhat-${OS}
make "CFLAGS=$RPM_OPT_FLAGS"
make info

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/info

install -s -m755 -o 0 -g 0 gdb/gdb $RPM_BUILD_ROOT/usr/bin
install -m644 -o 0 -g 0 gdb/gdb.1 $RPM_BUILD_ROOT/usr/man/man1

for n in gdb/doc/gdb.info* gdb/doc/gdbint.info* gdb/doc/stabs.info*; do
    b=`basename $n`
    cp $n $RPM_BUILD_ROOT/usr/info
    gzip -fn9 $RPM_BUILD_ROOT/usr/info/$b
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
install-info /usr/info/gdb.info.gz /usr/info/dir
install-info /usr/info/stabs.info.gz /usr/info/dir
install-info /usr/info/gdbint.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
    install-info --delete /usr/info/gdb.info.gz /usr/info/dir
    install-info --delete /usr/info/stabs.info.gz /usr/info/dir
    install-info --delete /usr/info/gdbint.info.gz /usr/info/dir
fi

%files
/usr/bin/gdb
/usr/man/man1/gdb.1
/usr/info/gdb.info*gz
/usr/info/gdbint.info*gz
/usr/info/stabs.info*gz
